/*
 * Copyright (C) Kiwi-Silverhawk Software 2015
 * 
 * Authors: Johan Ceuppens
 */

#import <Object.h>

#import "iterator.h"
#import "buffer.h"

@interface BufferIterator : Iterator 
{
@private
	Buffer *buffer;
	unsigned long current;
}

- (id) init;
- (void) setBuffer:(Buffer*)b;

- (void)first;
- (void)next;
- (BOOL)isDone;
- (id)currentItem;
@end
