/*
 * Copyright (C) Kiwi-Silverhawk Software 2015
 * 
 * Authors: Johan Ceuppens
 */

#import <Object.h>

#import "types.h"

@interface ByteBuffer : Object
{
	unsigned long int length;
	uint8 *_buffer;
}

- (id) init;
- (void) dealloc;
- (void) setBufferLength:(int)l;

- (uint8) get:(unsigned long int)index;
- (void) put:(uint8)c atIndex:(unsigned long int)index;

- (uint8*)buffer;
- (unsigned long int)count;

@end
